PHP Mysl

Support général incluant les problèmes liés à l'installation.
soume86
Messages : 64
Inscription : 06 mars 2012, 10:38

Re: PHP Mysl

Message par soume86 » 16 janvier 2013, 18:53

Non pas de raison spécial, Je t'explique mon problème:
J'essaie d'installer PHP sur mon serveur. Tous les paquets suivant y sont installés:

Code : Tout sélectionner

[root@localhost /bonrpm]$ rpm -qa | grep php
php-common-5.2.17-1.el4.art
php-mbstring-5.2.17-1.el4.art
php-xml-5.2.17-1.el4.art
php-cli-5.2.17-1.el4.art
php-pdo-5.2.17-1.el4.art
php-gd-5.2.17-1.el4.art
php-soap-5.2.17-1.el4.art
php-mysql-5.2.17-1.el4.art
php-5.2.17-1.el4.art
php-pear-1.5.0-5.el4.art
Quand je fais php -m, j'ai le message d'erreur suivant:

Code : Tout sélectionner

[root@localhost /bonrpm]$ php -m
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/gd.so' - libX11.so.6: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/mysql.so' - /usr/lib/php/modules/mysql.so: symbol mysql_set_character_set, version libmysqlclient_14 not defined in file libmysqlclient.so.14 with link time reference in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/mysqli.so' - /usr/lib/php/modules/mysqli.so: symbol mysql_set_character_set, version libmysqlclient_14 not defined in file libmysqlclient.so.14 with link time reference in Unknown on line 0
[PHP Modules]
J'ai regardé sur mon ancien serveur, pour voir la différence, j'ai vu que le paquet mysql-4.1.7-4.RHEL4.1.i386.rpm n'est pas installé sur mon nouveau serveur et donc je me suis dit que le message d'erreur est dû au fait que ce paquet n'est pas installé.

Est ce que PHP a besoin de mysql-4.1.7-4.RHEL4.1.i386.rpm??
Tu peux me dire comment faire pour que mon php marche??

Merci d'avance.

Verrouillé